ranges::views::remove_base_fn Struct Reference
Inheritance diagram for ranges::views::remove_base_fn:

## Public Member Functions

template<typename Rng , typename Value >
constexpr auto | operator() (Rng &&rng, Value value) const requires move_constructible< Value > &&viewable_range< Rng > &&input_range< Rng > &&indirectly_comparable< iterator_t< Rng >
template<typename Rng , typename Value , typename Proj >
constexpr auto | operator() (Rng &&rng, Value value, Proj proj) const requires move_constructible< Value > &&viewable_range< Rng > &&input_range< Rng > &&indirectly_comparable< iterator_t< Rng >

## Public Attributes

constexpr auto Value const | equal_to
constexpr auto Value const | Proj

## Member Data Documentation

## equal_to

constexpr auto Value const ranges::views::remove_base_fn::equal_to

Initial value:
{
return remove_if(static_cast<Rng &&>(rng),
pred_<Value>{std::move(value)})

## Proj

constexpr auto Value const ranges::views::remove_base_fn::Proj

Initial value:
{
return remove_if(static_cast<Rng &&>(rng),
pred_<Value>{std::move(value)},
std::move(proj))